Last Comment Bug 804416 - toolbar notification cache used even when social is disabled
: toolbar notification cache used even when social is disabled
Status: RESOLVED FIXED
[qa-]
:
Product: Firefox
Classification: Client Software
Component: SocialAPI (show other bugs)
: unspecified
: All All
-- normal (vote)
: Firefox 19
Assigned To: Mark Hammond [:markh]
:
: Shane Caraveo (:mixedpuppy)
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-22 17:40 PDT by Mark Hammond [:markh]
Modified: 2012-12-04 13:56 PST (History)
5 users (show)
ryanvm: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
+
fixed
+
fixed
fixed


Attachments
only use the toolbar cache when provider is active. (1.42 KB, patch)
2012-10-22 20:17 PDT, Mark Hammond [:markh]
felipc: review+
gavin.sharp: approval‑mozilla‑aurora+
gavin.sharp: approval‑mozilla‑beta+
Details | Diff | Splinter Review

Description User image Mark Hammond [:markh] 2012-10-22 17:40:08 PDT
If there are cached notification icons for a provider, then you disable social and restart, those cached items are still used, even though they are not visible.  This can result in errors in the js console:

Timestamp: 23/10/2012 11:34:42 AM
Error: TypeError: navigator.mozSocial is undefined
Source File: https://s-static.ak.fbcdn.net/rsrc.php/v2/yE/r/e96h7ImncfC.js
Line: 6
Comment 1 User image Mark Hammond [:markh] 2012-10-22 20:17:27 PDT
Created attachment 674098 [details] [diff] [review]
only use the toolbar cache when provider is active.

We probably want this in aurora/beta too as it may appear as though the provider is being "pinged" even when disabled.
Comment 3 User image Ryan VanderMeulen [:RyanVM] 2012-10-23 20:01:18 PDT
https://hg.mozilla.org/mozilla-central/rev/db2bf849fcb5
Comment 4 User image :Gavin Sharp [email: gavin@gavinsharp.com] 2012-10-26 14:49:03 PDT
We need this on aurora/beta, right?
Comment 5 User image :Gavin Sharp [email: gavin@gavinsharp.com] 2012-10-26 14:49:25 PDT
Comment on attachment 674098 [details] [diff] [review]
only use the toolbar cache when provider is active.

[Triage Comment]
a=me
Comment 7 User image Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2012-12-04 13:56:53 PST
Please remove [qa-] whiteboard tag and add verifyme keyword if there's some QA testing needed here. Otherwise we will skip verification.

Note You need to log in before you can comment on or make changes to this bug.